Debian Bug report logs - #67095
update-rc.d "disable" feature idea

version graph

Package: sysv-rc; Maintainer for sysv-rc is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysv-rc is src:sysvinit.

Reported by: Stephen Carpenter <sjc@brake.usg.tufts.edu>

Date: Tue, 11 Jul 2000 22:03:01 UTC

Severity: wishlist

Tags: wontfix

Merged with 123446

Fixed in version sysvinit/2.86.ds1-62

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#67095; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Stephen Carpenter <sjc@brake.usg.tufts.edu>:
New Bug report received and forwarded. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Carpenter <sjc@brake.usg.tufts.edu>
To: submit@bugs.debian.org
Subject: dpkg: update-rc.d feature idea
Date: Tue, 11 Jul 2000 17:05:35 -0400
Package: dpkg
Version: 1.6.14
Severity: wishlist

I would include a patch with this report - except this is one of those things 
that should be discussed before it is implimented because it contains one of
those semi-technical details that people may have feelings about.

Anyway I would like to see something like the following:

update-rc.d disable XXX

The idea is to have whatever subsystem is XXX be "disabled" ie it should NOT
start at startup. However...its state should be remembered so that later one
can do an:

 update-rc.d enable XXX


We do this here at work on our non-debian systems by changing the symlinks:

S20foo
to 
no.S20foo

This init skips over them...but we know what they are..in case we ever need
to re-enable them. 

I am not saying this is the best way to do it...or the way it should be done 
in a tool (something similar I could see though). Basically sometimes I want to
turn off a system until I re-enable it....but don't want to uninstall it.

I was thinking that update-rc.d would be a good place to do it. I would be
happy to write the code for it but...I am not sure what the best way to
preserve state would be. I have a feeling (havn't checked yet) that doing it
the way I am thinking would mean breaking policy on the rc*.d directories.

-Steve

-- System Information
Debian Release: 2.2
Kernel Version: Linux brake 2.2.16 #1 Thu Jun 8 11:35:47 EDT 2000 i586 unknown

Versions of the packages dpkg depends on:
ii  libc6          2.1.3-10       GNU C Library: Shared libraries and Timezone
ii  libncurses5    5.0-6          Shared libraries for terminal handling
ii  libstdc++2.10  2.95.2-12      The GNU stdc++ library



Information forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#67095; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to miquels@cistron.nl (Miquel van Smoorenburg):
Extra info received and forwarded to list. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: miquels@cistron.nl (Miquel van Smoorenburg)
To: submit@bugs.debian.org
Subject: Re: Bug#67095: dpkg: update-rc.d feature idea
Date: 11 Jul 2000 22:16:14 GMT
In article <cistron.E13C7Dj-0008UH-00@brake.usg.tufts.edu>,
Stephen Carpenter  <sjc@brake.usg.tufts.edu> wrote:
>Package: dpkg
>Version: 1.6.14
>Severity: wishlist
>
>I would include a patch with this report - except this is one of those things 
>that should be discussed before it is implimented because it contains one of
>those semi-technical details that people may have feelings about.
>
>Anyway I would like to see something like the following:
>
>update-rc.d disable XXX

Hey - that is a bright idea. Seconded.

>The idea is to have whatever subsystem is XXX be "disabled" ie it should NOT
>start at startup. However...its state should be remembered so that later one
>can do an:
>
> update-rc.d enable XXX

Yep.

>We do this here at work on our non-debian systems by changing the symlinks:
>
>S20foo
>to 
>no.S20foo
>
>This init skips over them...but we know what they are..in case we ever need
>to re-enable them. 

Perhaps simply .S20foo, or disabled.S20foo. I think this should also
be discussed with the LSB people

Mike.



Bug reassigned from package `dpkg' to `sysvinit'. Request was from Wichert Akkerman <wichert@wiggy.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#67095; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to gianluca.dellavedova@unimib.it (Della Vedova Gianluca - Dip. di Informatica, Sistemistica e Comunicazione):
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #17 received at 67095@bugs.debian.org (full text, mbox):

From: gianluca.dellavedova@unimib.it (Della Vedova Gianluca - Dip. di Informatica, Sistemistica e Comunicazione)
To: 67095@bugs.debian.org
Subject: patch included
Date: Fri, 07 Nov 2003 14:02:23 +0100
[Message part 1 (text/plain, inline)]
I also would like to have that feature implemented, I attach the
solution I currently use.
-- 
Gianluca Della Vedova
Dip. Statistica, Univ. Milano-Bicocca
http://www.statistica.unimib.it/utenti/dellavedova/
[update-rc.d (text/x-perl, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#67095; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Gianluca Della Vedova <gianluca.dellavedova@unimib.it>:
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #22 received at 67095@bugs.debian.org (full text, mbox):

From: Gianluca Della Vedova <gianluca.dellavedova@unimib.it>
To: 67095@bugs.debian.org
Subject: tags patch
Date: Mon, 10 Nov 2003 21:05:22 +0100
tags patch
stop
-- 
Gianluca Della Vedova
Dip. Statistica, Univ. Milano-Bicocca
http://www.statistica.unimib.it/utenti/dellavedova/
---------------------------------------------------
Unless unavoidable, no Word, Excel or PowerPoint attachments, please. 
See http://www.fsf.org/philosophy/no-word-attachments.html



Information forwarded to debian-bugs-dist@lists.debian.org, Miquel van Smoorenburg <miquels@cistron.nl>:
Bug#67095; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Gianluca Della Vedova <gianluca.dellavedova@unimib.it>:
Extra info received and forwarded to list. Copy sent to Miquel van Smoorenburg <miquels@cistron.nl>. Full text and rfc822 format available.

Message #27 received at 67095@bugs.debian.org (full text, mbox):

From: Gianluca Della Vedova <gianluca.dellavedova@unimib.it>
To: 67095@bugs.debian.org
Subject: new patch
Date: Fri, 14 Nov 2003 10:40:12 +0100
[Message part 1 (text/plain, inline)]
Actually the previous version was a complete crap.
Here is a definitely better version.
-- 
Gianluca Della Vedova
Dip. Statistica, Univ. Milano-Bicocca
http://www.statistica.unimib.it/utenti/dellavedova/
---------------------------------------------------
Unless unavoidable, no Word, Excel or PowerPoint attachments, please. 
See http://www.fsf.org/philosophy/no-word-attachments.html
[update-rc.d (text/x-perl, attachment)]

Bug reassigned from package `sysvinit' to `sysv-rc'. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 67095 123446. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Tue, 23 Jun 2009 17:27:33 GMT) Full text and rfc822 format available.

Notification sent to Stephen Carpenter <sjc@brake.usg.tufts.edu>:
Bug acknowledged by developer. (Tue, 23 Jun 2009 17:27:34 GMT) Full text and rfc822 format available.

Message #42 received at 67095-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 67095-close@bugs.debian.org
Subject: Bug#67095: fixed in sysvinit 2.86.ds1-62
Date: Tue, 23 Jun 2009 17:02:06 +0000
Source: sysvinit
Source-Version: 2.86.ds1-62

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-62_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-62_i386.deb
sysv-rc_2.86.ds1-62_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-62_all.deb
sysvinit-utils_2.86.ds1-62_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.86.ds1-62_i386.deb
sysvinit_2.86.ds1-62.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-62.diff.gz
sysvinit_2.86.ds1-62.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-62.dsc
sysvinit_2.86.ds1-62_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-62_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 67095@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Jun 2009 18:18:53 +0200
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts
Architecture: source i386 all
Version: 2.86.ds1-62
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 67095 316468 339955 360165 422940 457896 461103 471101 483392 484883 501724 504877 510455 510912 512003 519520 526398 529805 534300
Changes: 
 sysvinit (2.86.ds1-62) unstable; urgency=low
 .
   [ Kel Modderman ]
   * Add missing semi-colon in LSB header of init.d/urandom (Closes:
     #501724).
   * Force C locale for df command used in init.d/mountoverflowtmp.
     (Closes: #510912)
   * Update startpar source to upstream 0.52 (from 0.50) and apply debian
     compatibility patch (sent upstream). Also workaround /dev/pts not
     being mounted early in runlevel S by having startpar use an own
     version of getpt(2) system call. (Closes: #457896, #484883)
   * Enable CONCURRENCY=makefile mode in debian/sysv-rc/etc/init.d/rc.
     This mode uses startpar and the /etc/init.d/.depend.* makefile-like
     information created by insserv to calculate boot script execution
     order. The splash API is not supported in this mode of boot. This
     mode of boot is considered very experimental at this time.
   * Allow startpar using concurrency modes to operate in runlevel S, now
     that startpar can manage to work properly in absence of /dev/pts.
   * Use uscan dversionmangle option to remove .ds\d+ string from modifed
     orig.tar.gz. This fixes the debian-watch-file-should-mangle-version
     lintian warning. Patch taken from diff on LP: #312764.
   * Add comment to debian/sysv-rc/etc/init.d/rc about debug=echo, it
     should never be left uncommented for a real boot process and should
     only be used for interactive debugging. (Closes: #510455)
   * Do not mount usbfs any more, it was deprecated long ago.
     Applications should all use /dev/bus/usb, which can be managed more
     flexibly (assign permissions with udev, and the like). Thanks Martin
     Pitt. (Closes: #483392, #422940, #360165, #471101)
   * Add Homepage field to debian/control.
   * Add interface for disabling system init script start links with
     update-rc.d, and enabling them again. (Closes: #67095)
   * When update-rc.d in "start|stop"-mode is invoked without the final
     dot, script warnings are displayed just before the "usage" message
     is shown. Check that last argument to start|stop command is a period
     earlier. Thanks to Patrick <pet@painfullscratch.nl>.  (Closes: #512003)
   * Use -delete option of find(1) instead of piping through xargs in
     debian/initscripts/lib/init/bootclean.sh. (Closes: #316468, #461103)
   * Make init.d/rc simpler by dropping support for sourcing .sh files
     after the policy finally changed in 3.8.1.  Update to Standards
     version 3.8.1. (Closes: #339955, #519520)
   * Allow initscripts postinst maintainer script to not fail when
     attempting to mkdir /dev/pts and /dev/shm when running in a
     fakechroot environment. This is done by checking for FAKECHROOT env
     variable before bailing out. Patch thanks to Daniel Kahn Gillmor.
     (Closes: #504877)
   * Update debian/NOTES to reflect current affairs.
 .
   [ Petter Reinholdtsen ]
   * Move the startpar binary to a more proper location, from sysvinit
     to sysvinit-utils.
   * Comment out the code disabling fsck when running on battery.  It
     need changes in fsck to work properly (Closes: #526398).  This
     Reopens #326647.
   * Add a /usr/sbin/service command (Closes: #534300).  Modified the
     manual page based on ideas from the sysvconfig package.  Thanks to
     Steve Langasek and Ubuntu.  Add conflict with sysvconfig and
     chkconfig providing the same program.
   * Improve init.d/umountfs umount ordering code to avoid being
     confused while still solving #391673 (Closes: #529805).  Patch
     from Tim Phipps.
   * Make sysv-rc depend on a version of sysvinit-utils with a properly
     working startpar, in case concurrent booting is enabled.
   * Drop shell style concurrent booting, and make CONCURRENCY=shell
     behave like CONCURRENTY=startpar, as startpar concurrency now work
     properly.
Checksums-Sha1: 
 77ff3ecfa1130e320dacfaec70b044d381c85fca 1483 sysvinit_2.86.ds1-62.dsc
 0fe9f119888b22ab789e2b9babeabcb95efb0b5d 155616 sysvinit_2.86.ds1-62.diff.gz
 81cb9e47352efc1de8e72c31d3b4f7c6c4c6d69f 103082 sysvinit_2.86.ds1-62_i386.deb
 34da4a531585d44301ece3088c5981d687a002c5 86618 sysvinit-utils_2.86.ds1-62_i386.deb
 f2f446c6e5c9fdbb1c93822fa33e209967d09545 69010 initscripts_2.86.ds1-62_i386.deb
 a2ebfd00011db4f3d0609634b2409acba7e14826 65638 sysv-rc_2.86.ds1-62_all.deb
Checksums-Sha256: 
 89db98da56f8c2417aee098f44cc301c2821409bbe1682515a86fa311363c843 1483 sysvinit_2.86.ds1-62.dsc
 f655ed6fdfd2591dadc399aaae9fe6dc1782d165feb908ff240b7ad2d1f0e4f2 155616 sysvinit_2.86.ds1-62.diff.gz
 718dfa0d930d38130358cef22d5b86ae2e078eb7ea9615b6a75a3ed8307128f8 103082 sysvinit_2.86.ds1-62_i386.deb
 ab26b862341d93190797c4b79bcd4acf25185eccb12f6127b98954cbf667ba60 86618 sysvinit-utils_2.86.ds1-62_i386.deb
 bf8f5330b35ba5ea5a42fbd43d8d43dcf893534983114a83d5daff7db2d6031f 69010 initscripts_2.86.ds1-62_i386.deb
 bf3e86f69effe488a950c8c04955505e6dedb73d577b6c038edab4c4376092d3 65638 sysv-rc_2.86.ds1-62_all.deb
Files: 
 8aff0cbff66ff250babf4be897c88dda 1483 admin required sysvinit_2.86.ds1-62.dsc
 6dd9d90daa7384f24198e2a20534d9cd 155616 admin required sysvinit_2.86.ds1-62.diff.gz
 88235b6992eccdbc9689efd79c021149 103082 admin required sysvinit_2.86.ds1-62_i386.deb
 40006b5c47ecd8e7af6f2fb0356eecbe 86618 admin required sysvinit-utils_2.86.ds1-62_i386.deb
 a8cd6f0d2982e6cfb7489d56a449f079 69010 admin required initscripts_2.86.ds1-62_i386.deb
 2b8ebaa8b9a72a66abf0e7c5ffb90fd9 65638 admin required sysv-rc_2.86.ds1-62_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKQQiC20zMSyow1ykRAjJ7AKDts2KBER9fjpOcCIrHnwyy9aR/xgCgy0r5
ZBq+xDveg/S8a8ikptgAiC0=
=O+4B
-----END PGP SIGNATURE-----





Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Tue, 23 Jun 2009 17:27:34 GMT) Full text and rfc822 format available.

Notification sent to "Matthew R. Pavlovich" <mpav@debian.org>:
Bug acknowledged by developer. (Tue, 23 Jun 2009 17:27:34 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Jul 2009 07:28:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:53:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.